Summary:	CAD program to build virtual LEGO models
Name:		leocad
Version:	18.02
Release:	%mkrel 1
License:	GPLv2
Group:		Toys
Url:		http://www.leocad.org
Source0:	https://github.com/leozide/leocad/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		leocad-17.02-build-fix.patch
BuildRequires:	qttools5
BuildRequires:	qtbase5-common-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtopengl5-devel
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	leocad-data

%description
LeoCAD is a CAD program that can be used to create virtual LEGO models.

It has an easy to use interface and currently features over 6000 different
pieces created by the LDraw community.

%prep
%setup -q
%autopatch -p1

sed -i -e 's,\(resources/leocad.\)png,\1svg,g' leocad.pro

# switch to UTF-8
for i in docs/*.txt; do
	mv $i $i.old
	iconv -f ISO-8859-1 -t UTF-8 -o $i $i.old
done

%build
%qmake_qt5 DISABLE_UPDATE_CHECK=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#for data
mkdir -p %{buildroot}%{_datadir}/%{name}

#handle doc in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/*.txt
%{_bindir}/leocad
%{_datadir}/applications/leocad.desktop
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_datadir}/icons/hicolor/scalable/apps/leocad.svg
%dir %{_datadir}/%{name}/
%{_mandir}/man1/leocad.1*
%{_datadir}/mime/packages/leocad.xml


%changelog
* Fri Mar 02 2018 zezinho <zezinho> 18.02-1.mga6
  (not released yet)
+ Revision: 1206124
- update to 18.02 version while waiting for Qt updates
- try to force a rebuild against Qt 5.6
- rebuild against Qt 5.9.4
- update hoping to fix MGA#22520

* Fri Sep 09 2016 zezinho <zezinho> 0.83.1-1.mga6
+ Revision: 1051135
- new bugfix version 0.83.1

* Mon May 16 2016 zezinho <zezinho> 0.83-1.mga6
+ Revision: 1016159
- new version

* Tue Dec 15 2015 zezinho <zezinho> 0.82.2-1.mga6
+ Revision: 910794
- new version 0.82.2

* Fri Sep 04 2015 wally <wally> 0.82.1-2.mga6
+ Revision: 872750
- update to new version 0.82.1
  as version was bumped in previous release without really updating the source tarball

* Thu Sep 03 2015 zezinho <zezinho> 0.82.1-1.mga6
+ Revision: 872583
- disabled check for updates at startup

* Sun Jun 21 2015 wally <wally> 0.81.0-1.mga6
+ Revision: 837509
- new version 0.81.0

* Wed Oct 15 2014 umeabot <umeabot> 0.80.3-3.mga5
+ Revision: 748833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.3-2.mga5
+ Revision: 681297
- Mageia 5 Mass Rebuild

* Thu May 01 2014 wally <wally> 0.80.3-1.mga5
+ Revision: 619258
- new version 0.80.3

* Wed Feb 05 2014 wally <wally> 0.80.2-1.mga5
+ Revision: 583449
- new version 0.80.2

* Sat Oct 19 2013 umeabot <umeabot> 0.80.1-2.mga4
+ Revision: 534356
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 wally <wally> 0.80.1-1.mga4
+ Revision: 477361
- new version 0.80.1

* Thu Aug 22 2013 wally <wally> 0.80-1.mga4
+ Revision: 469828
- new version 0.80
- switch to Qt/QMake

* Tue Jun 04 2013 fwang <fwang> 0.79.3-2.mga4
+ Revision: 436907
- rebuild for new libpng

* Thu Mar 21 2013 wally <wally> 0.79.3-1.mga3
+ Revision: 404390
- new version 0.79.3
- add patch to fix linking
- use our optflags and ldflags
- clean .spec
+ joequant <joequant>
- split out leocad-data
- clean up spec file
- add full url
- imported package leocad


* Wed Oct 10 2012 joequant <joequant> 0.75-1.mga3
- Port to mageia
- add data 6152

* Wed May 25 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt5
- fixed build:  added libGL-devel to BR:
- .desktop file cleanup

* Sun Mar 27 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4.1
- completely useless work (thanks to at@)

* Mon Mar 21 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4
- added libpng-devel to BuildRequires: (thanks to at@)

* Tue Sep 21 2010 Fr. Br. George <george@altlinux.ru> 0.75-alt3
- [Igor Vlasenko] updated source from 0.75 branch (closes #22831)

* Sat Nov 14 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.75-alt2.qa1
- NMU (by repocop): the following fixes applied:
  * obsolete-call-in-post-gtk-update-icon-cache for leocad
  * postclean-05-filetriggers for spec file

* Mon May 25 2009 Fr. Br. George <george@altlinux.ru> 0.75-alt2
- GCC4.4 build fixup

* Sun Oct 07 2007 Fr. Br. George <george@altlinux.ru> 0.75-alt1
- Initial build for ALT

